/**
 * Copyright 2007 - 2008 Skyway Software, Inc.
 * 
 * Skyway Software, Inc. licenses this file to You under the Apache License, 
 * Version 2.0(the "License"); you may not use this file except in compliance 
 * with the License.  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.skyway.spring.util.dao.call.oracle;

import java.sql.Connection;
import java.sql.ResultSetMetaData;

@SuppressWarnings("nls")
public class OracleStructDescriptor extends OracleIntrospector{
	private Object structDescriptor;
	
	public OracleStructDescriptor(String structName, Connection connection){
		this.structDescriptor = createDescriptor(structName, connection);
	}
	
	@Override
	public String getClassName() {
		return "oracle.sql.StructDescriptor";
	}

	@Override
	public Object getInstance() {
		return structDescriptor;
	}
	
	private Object createDescriptor(String arrayName, Connection connection){
		return findAndExecuteMethod("createDescriptor", arrayName, connection);
	}
	
	public ResultSetMetaData getMetaData(){
		return (ResultSetMetaData)findAndExecuteMethod("getMetaData");
	}

	public int getLength(){
		return (Integer)findAndExecuteMethod("getLength");
	}
}
