/**
 * Copyright 2007 - 2008 Skyway Software, Inc.
 * 
 * Skyway Software, Inc. licenses this file to You under the Apache License, 
 * Version 2.0(the "License"); you may not use this file except in compliance 
 * with the License.  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.skyway.spring.util.databinding;

import java.util.Calendar;

import org.springframework.binding.convert.service.DefaultConversionService;

public class EnhancedConversionService extends DefaultConversionService {

	@Override
	protected void addDefaultConverters() {
		super.addDefaultConverters();

		// registers a custom converter reference-able by id and applied when requested	    
		addConverter(new StringToCalendar());

	}
	
	@Override
	protected void addDefaultAliases() {
		super.addDefaultAliases();
		addAlias("calendar", Calendar.class); //$NON-NLS-1$
	}
}
